Name:        gnatcoll    
Version:    2011
Release:    5%{?dist}
Summary:    Suite of reusable software components and utilities

Group:      System Environment/Libraries
License:    GPLv2+
URL:        http://libre.adacore.com
## Direct link not available
Source0:    %{name}-gpl-%{version}-src.tgz 
Patch0:     %{name}-destdir.patch
Patch1:     %{name}-directories.patch
Patch2:     %{name}-optflags.patch
BuildRequires:   fedora-gnat-project-common >= 2 
BuildRequires:   python-devel gmp-devel GtkAda-devel
BuildRequires:   pygtk2-devel postgresql-devel chrpath
BuildRequires:   gprbuild
# gcc-gnat only available on these:
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha


%description
The GNAT Component Collection is a suite 
of reusable software components and utilities. 
It has been used by AdaCore in developing the GNAT tool set, 
the GPS Integrated Development Environment, and GNAT Tracker, 
its web-based customer support interface.

%package devel
Summary:    Devel package for %{name}
License:    GPLv2+
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%setup -q -n %{name}-gpl-%{version}-src
%patch0 -p1 
%patch1 -p1
%patch2 -p1 

%build
%configure
%if 0%{?fedora} >= 16
export GNAT_OPTFLAGS="%GPRbuild_optflags"
%else
export GNAT_OPTFLAGS="%GNAT_optflags"
%endif
make ##%%%{?_smp_mflags}


%install
rm -rf %{buildroot}
export gprdir=%_GNAT_project_dir
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_libdir}/%{name}/static/*
rm -rf %{buildroot}/%{_datadir}/gps
%ifarch x86_64
rm -rf %{buildroot}/%{_libdir}/gnat
%endif
chrpath --delete %{buildroot}/%{_libdir}/%{name}/relocatable/*.so.1.4w
chrpath --delete %{buildroot}/%{_bindir}/* 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/*
%dir %{_libdir}/%{name}/relocatable
%{_libdir}/%{name}/relocatable/*.so.1.4w
%{_libdir}/*.so.1.4w
%{_docdir}/%{name}

%files devel
%defattr(-,root,root,-)
%doc CHANGE_172522
%{_GNAT_project_dir}/%{name}*
%{_includedir}/%{name}
%{_libdir}/%{name}/relocatable/*.ali
%{_libdir}/%{name}/relocatable/*.so
%{_libdir}/%{name}/relocatable/*.so.1
%{_libdir}/*.so.1




%changelog
* Thu Aug 18 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-5
- Fix gnat_optflags

* Wed Aug 17 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-4
- Initial build
- Remove trailing @ from Makefile
- Add ifarch for rm
- Add ExcludeArch

